Update a Document Signer
Roles
Analytics Events
/v2/credentials/mobile/document-signers/{documentSignerId}Updates an existing Document Signer by providing its ID and active parameter.
Only available in implementations using unmanaged (external) IACAs.
Analytic events
- MOBILE_CREDENTIAL_DOCUMENT_SIGNER_UPDATE_START
- MOBILE_CREDENTIAL_DOCUMENT_SIGNER_UPDATE_SUCCESS
- MOBILE_CREDENTIAL_DOCUMENT_SIGNER_UPDATE_FAIL
Authorization
bearerAuth In: header
Path Parameters
Document Signer ID
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.com/v2/credentials/mobile/document-signers/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "active": true }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "iacaId": "080c670a-2e90-4023-b79f-b706e55e9bc6", "active": true, "certificatePem": "string", "certificateFingerprint": "string", "certificateData": { "notAfter": "2019-08-24", "notBefore": "2019-08-24", "country": "string", "stateOrProvinceName": "string", "commonName": "{tenantDomain} Document Signer" }}How would you rate this page?
Retrieve a Document Signer GET
Retrieves an existing Document Signer by providing its ID. ### **Analytic events** * MOBILE_CREDENTIAL_DOCUMENT_SIGNER_RETRIEVE_START * MOBILE_CREDENTIAL_DOCUMENT_SIGNER_RETRIEVE_SUCCESS * MOBILE_CREDENTIAL_DOCUMENT_SIGNER_RETRIEVE_FAIL
Delete a Document Signer DELETE
Deletes an existing Document Signer by providing its ID. Only available in implementations using unmanaged (external) IACAs. ### **Analytic events** * MOBILE_CREDENTIAL_DOCUMENT_SIGNER_DELETE_START * MOBILE_CREDENTIAL_DOCUMENT_SIGNER_DELETE_SUCCESS * MOBILE_CREDENTIAL_DOCUMENT_SIGNER_DELETE_FAIL